import serial

# Set the device file
ser = serial.Serial('/dev/tty.usbserial')

# Timeout is 5 seconds
ser.timeout=5

# Yes, we will be using RTS and CTS (ready to send/clear to send)
ser.rtscts = True

# Give the command to the radio that asks for its ID
print "Writing ID command..."
ser.write('ID;')

# Read the response from the radio
print "Reading response..."
a = ser.read(16)
print a

# Close the serial connection
ser.close()

print "All done."
